INSTALL(1)

NAME
install - install binaries

SYNOPSIS
install [-cs] [-f flags] [-g group] [-l linkflags] [-m mode] [-o owner] file1 file2
[-cs] [-f flags] [-g group] [-l linkflags] [-m mode] [-o owner] file1 ... fileN directory
-d [-m mode] [-o owner] [-g group] directory ...

DESCRIPTION
The file(s) are moved (copied if the -c option is specified, or linked if the -l option is specified) to the target file or directory. If the destination is a directory, then the file is moved into directory with its original filename. If the target file already exists, it is overwritten if permissions allow.

-c  Copy the file. This flag turns off the default behavior of install where it deletes the original file after creating the target.

-f  Specify the target's file flags. (See chflags(1) for a list of possible flags and their meanings.)

-g  Specify a group.

-m  Specify an alternative mode. The default mode is set to rwxr-xr-x (0755). The specified mode may be either an octal or symbolic value; see chmod(1) for a description of possible mode values.

-l linkflags
    Instead of copying the file make a link to the source. The type of the link is determined by the linkflags argument. Valid linkflags are: a (absolute), r (relative), h (hard), s (symbolic), m (mixed). Absolute and relative have effect only for symbolic links. Mixed links are hard links for files on the same filesystem, symbolic otherwise.

-o  Specify an owner.

-s  install exec's the command strip(1) to strip binaries so that install can be portable over a large number of systems and binary types. If the environment variable STRIP is set, it is used as the strip(1) program.

-d  Create directories. Missing parent directories are created as required.

By default, install preserves all file flags, with the exception of the ``nodump'' flag.

The install utility attempts to prevent moving a file onto itself.

Installing /dev/null creates an empty file.

Upon successful completion a value of 0 is returned. Otherwise, a value of 1 is returned.

SEE ALSO
chflags(1), chgrp(1), chmod(1), cp(1), mv(1), strip(1), chown(8)

HISTORY
The install utility appeared in 4.2BSD.